Package com.independentsoft.graph.calendars

# Class RoomList

java.lang.Object
com.independentsoft.graph.calendars.RoomList

All Implemented Interfaces:
  `IUpdatable`

public class RoomList extends Object implements IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RoomList()`
  `RoomList​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PhysicalAddress`
  `getAddress()`
  `String`
  `getDisplayName()`
  `String`
  `getEmailAddress()`
  `OutlookGeoCoordinates`
  `getGeoCoordinates()`
  `String`
  `getId()`
  `String`
  `getPhone()`
  `void`
  `setAddress​(PhysicalAddress address)`
  `void`
  `setDisplayName​(String displayName)`
  `void`
  `setEmailAddress​(String emailAddress)`
  `void`
  `setGeoCoordinates​(OutlookGeoCoordinates geoCoordinates)`
  `void`
  `setId​(String id)`
  `void`
  `setPhone​(String phone)`
  `String`
  `toString()`
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RoomList

    public RoomList()

  - ### RoomList

    public RoomList​(JsonObject jsonObject)

- ## Method Details

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public String getId()

  - ### setId

    public void setId​(String id)

  - ### getAddress

    public PhysicalAddress getAddress()

  - ### setAddress

    public void setAddress​(PhysicalAddress address)

  - ### getDisplayName

    public String getDisplayName()

  - ### setDisplayName

    public void setDisplayName​(String displayName)

  - ### getEmailAddress

    public String getEmailAddress()

  - ### setEmailAddress

    public void setEmailAddress​(String emailAddress)

  - ### getGeoCoordinates

    public OutlookGeoCoordinates getGeoCoordinates()

  - ### setGeoCoordinates

    public void setGeoCoordinates​(OutlookGeoCoordinates geoCoordinates)

  - ### getPhone

    public String getPhone()

  - ### setPhone

    public void setPhone​(String phone)